/*
 * Copyright 2015 Djembe.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package md.djembe.cache;

import md.djembe.enums.WebAppProperties;

/**
 * 
 * @author M Diallo
 *
 */
public class ApplicationCache {
    
    
   public static String getEntry( final WebAppProperties content, final WebAppProperties item ) {
        return DataCache.INSTANCE.getEntry( content.getPropertyValue(), item.getPropertyValue() );
    }


    public static String getEntry( final WebAppProperties content, final String item ) {
        return DataCache.INSTANCE.getEntry( content.getPropertyValue(), item );
    }


}
