package md.djembe.servlets;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

@SuppressWarnings( "serial" )
@WebServlet(urlPatterns = {"/style/*", "/script/*"} )
public class StaticResourcesServlet extends HttpServlet {
    
    private static final Logger LOGGER = Logger.getLogger(StaticResourcesServlet.class);

    @Override
    protected void doGet( HttpServletRequest req , HttpServletResponse resp )
            throws ServletException , IOException    {
        
        if(LOGGER.isDebugEnabled( )) {
            LOGGER.debug( String.format("processing static resource '%s'", req.getRequestURI( )) );
        }
    }

    

}
